=== debian/changelog ===
colorless (109) stable; urgency=medium

  * Initial release.

 -- Kimmo Suominen <kimmo@suominen.com>  Sat, 14 Jan 2023 08:57:39 +0200
